[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] Define ATTRIBUTE_SENTINEL for GCC < 4.0 too



On Tue, Dec 22, 2009 at 02:15:24AM +0100, Matthias Bolte wrote:
> ATTRIBUTE_SENTINEL was defined for GCC >= 4.0 only, resulting in
> compile errors when using GCC < 4.0.
> ---
>  src/internal.h |    2 ++
>  1 files changed, 2 insertions(+), 0 deletions(-)
> 
> diff --git a/src/internal.h b/src/internal.h
> index 09c19ea..5ca1fa3 100644
> --- a/src/internal.h
> +++ b/src/internal.h
> @@ -100,6 +100,8 @@
>  #ifndef ATTRIBUTE_SENTINEL
>  #if __GNUC_PREREQ (4, 0)
>  #define ATTRIBUTE_SENTINEL __attribute__((__sentinel__))
> +#else
> +#define ATTRIBUTE_SENTINEL
>  #endif
>  #endif
>  

  Heh, surprizing nobody caught that before !

  ACK

Daniel

-- 
Daniel Veillard      | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
daniel veillard com  | Rpmfind RPM search engine http://rpmfind.net/
http://veillard.com/ | virtualization library  http://libvirt.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]